## org.apache.commons.math.ode.jacobians
Interface ParameterizedODE

All Superinterfaces:
  FirstOrderDifferentialEquations

    public interface ParameterizedODE

extends FirstOrderDifferentialEquations

This interface represents `first order differential equations` with parameters.

Since:
  2.1
Version:
  $Revision: 918702 $ $Date: 2010-03-03 16:28:16 -0500 (Wed, 03 Mar 2010) $
See Also:
  `FirstOrderIntegratorWithJacobians`

Method Summary
`int` `getParametersDimension()` Get the number of parameters.
`void` `setParameter(int i, double value)` Set a parameter.

Methods inherited from interface org.apache.commons.math.ode.FirstOrderDifferentialEquations
`computeDerivatives, getDimension`

Method Detail

### getParametersDimension

    int getParametersDimension()

  Get the number of parameters.

  Returns:
    number of parameters

### setParameter

    void setParameter(int i,
                      double value)

  Set a parameter.

  Parameters:
    `i` - index of the parameters (must be between 0 and `getParametersDimension() - 1`)
    `value` - value for the parameter

Copyright (c) 2003-2011 Apache Software Foundation